Bug 247333 - Unable to manually enter required configuration
Summary: Unable to manually enter required configuration
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: revisor   
(Show other bugs)
Version: 7
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Jeroen van Meeuwen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-07 03:46 UTC by Wayne Carruthers
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-07 19:11:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Wayne Carruthers 2007-07-07 03:46:54 UTC
Description of problem:

When creating a spin, if no kickstart configuration file is specified the user
is unable to enter required data on the required configuration screen

Error message/traceback information is :-

Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/revisor/lm_basic.py", line 301, in
button_forward_clicked
    if not self.check_options():
  File "/usr/lib/python2.5/site-packages/revisor/lm_basic.py", line 308, in
check_options
    if not self.root_password_from_kickstart:
AttributeError: LMBasic instance has no attribute 'root_password_from_kickstart'


Version-Release number of selected component (if applicable):

Revisor 2.0.4.0-1
 
How reproducible:

Every time


Steps to Reproduce:
1. Run Revisor
2. Uncheck "use package manifest from kickstart data" & Clear kickstart
configuration file entry
3. Manually enter data in configuration screen
  
Actual results:
 Programs sits at required configuration screen and will not move forward

Expected results:

Move forward to media creation

Additional info:

Comment 1 Jeroen van Meeuwen 2007-07-07 19:11:02 UTC
Fixed by setting self.root_password_from_kickstart = False during
restore_options() when no kickstart file is used.

Possible workaround: use a minimal kickstart file and override it's values.

Comment 2 Wayne Carruthers 2007-07-08 03:08:57 UTC
Yes have used a minimal kickstart to work around

Could not find a list of all possible kickstart options/parameters relevant to
Revisor which slowed me down .

Is there such a list ??? or where could I find the base information to compile a
list to contribute to documentation


Note You need to log in before you can comment on or make changes to this bug.